error when editing data on 2.18.8 and postgresql 9.4

2017-05-24 08:50 AM - Konradin Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.8 Regression?: No

Operating System: win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24507

Description

we worked with postgres 9.4 and qgis 2.18.7. after updating to 2.18.8 we get an error when we try to modify data.

"Layer vw_qgep_reach: PostGIS error while adding features: FEHLER: Wert zu lang für Typ character varying(16)"

History

#1 - 2017-05-24 10:04 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Subject changed from update 2.18.7 to 2.18.8; postgis connection to error when editing data on 2.18.8 and postgresql 9.4

- Status changed from Open to Feedback

I cannot confirm it but I'm not on pgsql 9.4

postgis version? can you attach a sample/dump of the data?

#2 - 2017-05-26 09:45 AM - Konradin Fischer

- File data-demodata.zip added

we use postgis 2.3.0

sorry, the database is confidential, it's a newer then the attached

#3 - 2017-05-26 09:56 AM - Jürgen Fischer

Is that the same as the demo dataset

#4 - 2017-05-26 12:39 PM - Giovanni Manghi

- Assignee deleted (Jürgen Fischer)

I installed on a Windows7 VM postgresql 9.4 and postgis 2.3, restored the QGEP sample database (as explained on their site), added to qgis 2.18.8 the

layer vw_qgep_reach, tried to edit it, no errors.

If the workflow to get the error is different please specify here the * exact and precise* list of steps on how to replicate. Thanks.
https://github.com/QGEP/data/archive/demodata.zip


#5 - 2017-09-25 04:44 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

data-demodata.zip 4.65 MB 2017-05-26 Konradin Fischer
